Bug 436950 - Palm treo devices no longer getting detected as serial ports
Summary: Palm treo devices no longer getting detected as serial ports
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-11 11:07 UTC by Neil Horman
Modified: 2008-04-29 20:54 UTC (History)
0 users

Fixed In Version: 2.6.24.5-85.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-29 20:54:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 10118 None None None Never

Description Neil Horman 2008-03-11 11:07:18 UTC
Description of problem:
Sometime late in the 2.6.23 kernel series for F-8,  palm treo devices stopped
getting recognized as serial ports, and are now being exported as generic usb
devices.  as such utilities like kpilot/jpilot are no longer able to communicate
with the treo and device sync is not possible

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.run usbadm monitor as root
2.plug in a palm treo device (I use a 700p)
3.note the output of usbadm
  
Actual results:
generic usbdevice.ep<n> events are generated

Expected results:
events to add ttyUSB<n> should be generated and /dev/pilot link should be created

Additional info:

Comment 1 Chuck Ebbert 2008-03-13 20:34:14 UTC
Same as:

http://bugzilla.kernel.org/show_bug.cgi?id=10118

??


Comment 2 Neil Horman 2008-03-13 20:44:50 UTC
Quite likely.I'll get on that bugs cc list.  Thanks!

Comment 3 Chuck Ebbert 2008-04-07 23:13:52 UTC
Fix went in 2.6.24.4-76

Comment 4 Neil Horman 2008-04-17 15:19:41 UTC
cool, thanks, but can you point me to the fix?   The upstream bug is still open. 

Comment 5 Neil Horman 2008-04-17 15:21:36 UTC
nm, found it in the changelog.  Thanks!


Comment 6 Fedora Update System 2008-04-22 00:04:46 UTC
kernel-2.6.24.5-85.fc8 has been submitted as an update for Fedora 8

Comment 7 Fedora Update System 2008-04-22 22:42:52 UTC
kernel-2.6.24.5-85.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-3260

Comment 8 Fedora Update System 2008-04-29 20:54:10 UTC
kernel-2.6.24.5-85.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.